MONGOC_STREAM_TLS_CHECK_CERT(3)

NAME
mongoc_stream_tls_check_cert() - The mongoc_stream_tls_check_cert() function shall perform a RFC-6125 certificate verification.

SYNOPSIS

bool
mongoc_stream_tls_check_cert (mongoc_stream_t *stream,
                              const char      *host);

PARAMETERS

stream
    A mongoc_stream_tls_t \&.

host
    A UTF-8 string holding the hostname used in socket creation. This value is what will be matched against the server provided certificate.

The mongoc_stream_tls_check_cert(3) function shall perform a RFC-6125 certificate verification.

RETURNS

The mongoc_stream_tls_check_cert(3) function returns true if the certificate is valid was successful. If false, openssl errors may be set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.